Package org.flowable.engine.migration

# Class ProcessInstanceMigrationDocumentConverter

java.lang.Object
org.flowable.engine.migration.ProcessInstanceMigrationDocumentConverter

public class ProcessInstanceMigrationDocumentConverter extends Object

Author:
  Dennis, martin.grofcik

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<T extends ActivityMigrationMapping>`
  `static class`
  `ProcessInstanceMigrationDocumentConverter.ManyToOneMappingConverter`
  `static class`
  `ProcessInstanceMigrationDocumentConverter.OneToManyMappingConverter`
  `static class`
  `ProcessInstanceMigrationDocumentConverter.OneToOneMappingConverter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Map<Class<? extends ActivityMigrationMapping>,ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter>`
  `activityMigrationMappingConverters`
  `protected static Predicate<com.fasterxml.jackson.databind.JsonNode>`
  `isMultiValue`
  `protected static Predicate<com.fasterxml.jackson.databind.JsonNode>`
  `isNotNullNode`
  `protected static Predicate<com.fasterxml.jackson.databind.JsonNode>`
  `isSingleTextValue`
  `protected static com.fasterxml.jackson.databind.ObjectMapper`
  `objectMapper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessInstanceMigrationDocumentConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProcessInstanceMigrationDocument`
  `convertFromJson(String jsonProcessInstanceMigrationDocument)`
  `protected static <T> T`
  `convertFromJsonNodeToObject(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `static com.fasterxml.jackson.databind.JsonNode`
  `convertToJson(ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `protected static com.fasterxml.jackson.databind.node.ArrayNode`
  `convertToJsonActivityMigrationMappings(List<? extends ActivityMigrationMapping> activityMigrationMappings)`
  `protected static com.fasterxml.jackson.databind.node.ArrayNode`
  `convertToJsonEnableActivityMappings(List<? extends EnableActivityMapping> enableActivityMappings)`
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `convertToJsonProcessInstanceVariables(ProcessInstanceMigrationDocument processInstanceMigrationDocument, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `static String`
  `convertToJsonString(ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `convertToJsonUpgradeScript(Script script, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### isNotNullNode

    protected static Predicate<com.fasterxml.jackson.databind.JsonNode> isNotNullNode

  - ### isSingleTextValue

    protected static Predicate<com.fasterxml.jackson.databind.JsonNode> isSingleTextValue

  - ### isMultiValue

    protected static Predicate<com.fasterxml.jackson.databind.JsonNode> isMultiValue

  - ### objectMapper

    protected static com.fasterxml.jackson.databind.ObjectMapper objectMapper

  - ### activityMigrationMappingConverters

    protected static Map<Class<? extends ActivityMigrationMapping>,ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter> activityMigrationMappingConverters

- ## Constructor Details

  - ### ProcessInstanceMigrationDocumentConverter

    public ProcessInstanceMigrationDocumentConverter()

- ## Method Details

  - ### convertFromJsonNodeToObject

    protected static <T> T convertFromJsonNodeToObject(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertToJson

    public static com.fasterxml.jackson.databind.JsonNode convertToJson(ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### convertToJsonString

    public static String convertToJsonString(ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### convertToJsonActivityMigrationMappings

    protected static com.fasterxml.jackson.databind.node.ArrayNode convertToJsonActivityMigrationMappings(List<? extends ActivityMigrationMapping> activityMigrationMappings)

  - ### convertToJsonEnableActivityMappings

    protected static com.fasterxml.jackson.databind.node.ArrayNode convertToJsonEnableActivityMappings(List<? extends EnableActivityMapping> enableActivityMappings)

  - ### convertFromJson

    public static ProcessInstanceMigrationDocument convertFromJson(String jsonProcessInstanceMigrationDocument)

  - ### convertToJsonProcessInstanceVariables

    protected static com.fasterxml.jackson.databind.JsonNode convertToJsonProcessInstanceVariables(ProcessInstanceMigrationDocument processInstanceMigrationDocument, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertToJsonUpgradeScript

    protected static com.fasterxml.jackson.databind.JsonNode convertToJsonUpgradeScript(Script script, com.fasterxml.jackson.databind.ObjectMapper objectMapper)